ranges::v3::for_each_fn Struct Reference
Algorithms

## Public Member Functions

template<typename I , typename S , typename F , typename P = ident, requires = (InputIterator<I>() && Sentinel<S, I>() && MoveIndirectInvocable<F, projected<I, P>>())>
tagged_pair< tag::in(I), tag::fun(F)> | operator() (I begin, S end, F fun, P proj=P{}) const
template<typename Rng , typename F , typename P = ident, requires = (InputRange<Rng>() && MoveIndirectInvocable<F, projected<iterator_t<Rng>, P>>())>
tagged_pair< tag::in(safe_iterator_t< Rng >), tag::fun(F)> | operator() (Rng &&rng, F fun, P proj=P{}) const